<?php

declare(strict_types=1);

/*
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace Chill\Migrations\Person;

use Doctrine\DBAL\Schema\Schema;
use Doctrine\Migrations\AbstractMigration;

final class Version20250922151020 extends AbstractMigration
{
    public function getDescription(): string
    {
        return 'Add unique constraint for person identifiers';
    }

    public function up(Schema $schema): void
    {
        $this->addSql('CREATE UNIQUE INDEX chill_person_identifier_unique ON chill_person_identifier (definition_id, canonical)');
    }

    public function down(Schema $schema): void
    {
        $this->addSql('DROP INDEX chill_person_identifier_unique');
    }
}
